import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Layouts 1.2

Item {
    id: item1

    property alias image1: image1
    property alias mouseArea1: mouseArea1
    property alias tabView1: tabView1

    ScrollView {
        anchors.right: tabView1.left
        anchors.rightMargin: 6
        anchors.left: parent.left
        anchors.leftMargin: 8
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 8
        anchors.top: parent.top
        anchors.topMargin: 8
        highlightOnFocus: false
        verticalScrollBarPolicy: 0
        horizontalScrollBarPolicy: 0
        frameVisible: true

        Image {
            id: image1
            fillMode: Image.Pad
            cache: false
            clip: true
            horizontalAlignment: Image.AlignLeft
            verticalAlignment: Image.AlignTop
            source: "image://myimageprovider/0"

            MouseArea {
                id: mouseArea1
                anchors.fill: parent
                hoverEnabled: true
                acceptedButtons: Qt.LeftButton | Qt.RightButton
            }
        }
    }

    TabView {
        id: tabView1
        opacity: 1
        frameVisible: true
        tabsVisible: true
        anchors.right: parent.right
        anchors.rightMargin: 8
        anchors.top: parent.top
        anchors.topMargin: 8

        Tab {
            id:mapTab
            title: qsTr("Map")
            source:"/MapTab.qml"
        }

        Tab {
            title: qsTr("Tiles")

            Grid {
                id: grid2
                columns: 2
                spacing: 5

                Item {
                    id: item3
                    width: 1
                    height: 1
                }
            }
        }

        Tab {
            title: qsTr("Walls")
        }

        Tab {
            title: qsTr("Objects")
        }
    }
}

