#ifndef CMAP_H
#define CMAP_H

#include <QImage>
#include <QColor>
#include "cmaths.h"

#define TILE_SIZE   32

enum EWallSide
{
    eWallSideUp = 0,
    eWallSideDown,
    eWallSideLeft,
    eWallSideRight,
    eWallSideMax
};

//---------------------------------------------------------------------------------------------
class CWall
{
public:
    CWall();

    bool    mIsActive;
};

//---------------------------------------------------------------------------------------------
class CTile
{
public:
    CTile();

    CWall   mWalls[eWallSideMax];
    uint8_t mType;
};

//---------------------------------------------------------------------------------------------
class CMap
{
public:
    CMap();
    ~CMap();

    void    resize();
    QImage  display(CVec2 mousePos, int tabIndex);
    void    setTile(CVec2 pos, bool leftButton, bool rightButton);
    EWallSide   getWallSide(CVec2 localPos);

    CTile*  getTile(CVec2 pos);

    CVec2   mSize;

private:
    CTile*  mTiles;
};

extern CMap  map;

#endif // CMAP_H
